main.h File Reference

Miscellaneous declarations. More...

## Enumerations

enum | exit_status_type { E_SUCCESS = 0 , E_ERROR = 1 , E_WARNING = 2 }
| Possible exit status values. These are the same as used by gzip and bzip2. More...

## Functions

void | set_exit_status (enum exit_status_type new_status)
void | set_exit_no_warn (void)

## Detailed Description

Miscellaneous declarations.

## Enumeration Type Documentation

## exit_status_type

enum exit_status_type

Possible exit status values. These are the same as used by gzip and bzip2.

## Function Documentation

## set_exit_status()

void set_exit_status | ( | enum exit_status_type | new_status | ) |

Sets the exit status after a warning or error has occurred. If new_status is E_WARNING and the old exit status was already E_ERROR, the exit status is not changed.

Referenced by signals_exit().

## set_exit_no_warn()

void set_exit_no_warn | ( | void |  | ) |

Use E_SUCCESS instead of E_WARNING if something worth a warning occurs but nothing worth an error has occurred. This is called when –no-warn is specified.

References no_warn.